### Method

# Camel GpgContext get_public_key_sync

since: 3.50

#### Declaration [src]

    gboolean
    camel_gpg_context_get_public_key_sync (
      CamelGpgContext* context,
      const gchar* keyid,
      guint32 flags,
      guint8** out_data,
      gsize* out_data_size,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Returns a public key with `keyid`.

The `keyid` can be either key ID or an email address.

The `flags` argument is currently unused and should be set to 0.

The `out_data` content should be freed with g_free(), when no longer needed.

Available since: 3.50

#### Parameters

`keyid`

  Type: `const gchar*`

  A key ID or an email address.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `guint32`

  Flags for the operation.

`out_data`

  Type: `guint8**`

  Return location for the public key data, in binary form.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`out_data_size`

  Type: `gsize*`

  Return location to store the `out_data` size to.

  The argument will be set by the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.